logs archiveIRC Archive / Oftc / #tor / 2010 / April / 2 / 1
nsa
or: arma committed revision 22111 (/website/trunk/en): make it clearer to avoid open-ended research topics; and make it clearer
or: that incremental results are very important
TJ
anyone here familiar with "advanced tor" ?
atagar_work
ummm... never heard of it
TJ
im using it and running as server. is it possible to my relay as my first hop?
Sebastian
what is advanced Tor supposed to be?
There is just one tor
TJ
http://sourceforge.net/projects/advtor/
Sebastian
It doesn't look like it's a relay
Maybe it is a Tor controller
TJ
there's an optione there. anyway, im trying to run a tor relay/server and i want it to be my first hop. which part of the torc i shooulld change?
Sebastian
the documentation is leaving a lot to be desired
Maybe try adding yourself as a bridge
but I'm not sure that'll work
probably only if your external ip is routable locally
         

atagar
Out of curiosity what causes a version to be 'unknown' rather than recommended/unrecommended? A quick search of the documentation didn't give anything useful (in this case the 'unknown' version is 0.2.1.19).
... probably should have been more clear - I mean the results of GETINFO "status/version/current"
nm, found it in the source - answer is that it must be failing to find the current consensus
waltman
'13
oops!
nmudgal
I m under squid proxy server & using backtrack linux, so where to put my tor proxy settings in tor?
anyone can help out ?
Neeraj
hi
arma: proposal 130 is closed, that means there is no use in including it in my proposal?
Sebastian: there?
Packet
Would anyone be able to tell me whether there is any value in chaining privoxy to polipo to tor for anonymous web browsing?
Or, if not, which proxy does a better job from a pure privacy standpoint?
Sebastian_
ilter1: hey, may I ask a favor if you have some time at your hands?
ilter1
arma: Sorry for too late response which about consensus method.
Sebastian_: Hello. Of course. What is it?
Sebastian_
hey
Can you run a private network with some new patches, and see if it works?
ilter1
Sebastian_: It's pleasure for me. Where is the new patches?
Sebastian_
I'll make a tarball that you can fetch
I'm asking because I'm seeing crashes etc, and am interested to learn if you have some, too
ilter1
Sebastian_: Also today i'll present simulating platform to my thesis instructor.
Sebastian_
you'll need the latest version of libevent. Do you know where to get it?
(from git)
ilter1
Sebastian_: No. Could you say?
Sebastian_
So clone git://levent.git.sourceforge.net/gitroot/levent/libevent
then ./autogen.sh, configure and make, then sudo make install
The Tor version you can fetch from https://gitweb.torproject.org//sebastian/tor.git?a=snapshot;h=26ac09ada0c9d1c00052e1bd12186f6852744059;sf=tgz
ilter1
Sebastian_: What about the famous bug which fixed by HUP? Does it still create a problem even your patches?
Sebastian_: Ok i'm cloning libevent.
Sebastian_
the patches aren't mine, they're nicks
but yeah, the hup problem may still be a problem.
ilter1
Sebastian_: Oops git cloning gives fatal err: "levent.gt.sourceforge.net[0: 216.34.181.96]: errno=Connection refused"
SwissTorExit_
morning to everyone, hi Sebastian_, if that's the same sript as last time for the private network,i can try too if you want
Sebastian_
SwissTorExit_: that'd be great
SwissTorExit_
i have already last libevent but need i use a branch or just update ?
         

Sebastian_
ilter1: not how levent.gt.sourceforge.net is not levent.git.sourceforge.net
SwissTorExit_
you are welcome :D
Sebastian_
SwissTorExit_: just update to latest libevent
no branch
SwissTorExit_
ilter1: git://levent.git.sourceforge.net/gitroot/levent/libevent
ilter1
Sebastian_: Sorry :)
Sebastian_
ilter1: note*
ilter1
Sebastian_: Ok i cloned it. Then i'm running ./autogen.sh ..
Sebastian_: Hmm .. It gives error: " ./autogen.sh: 11: aclocal: not found". I wrote it right at this time :)
pipe
Sounds like you need to install autotools?
ilter1
pipe: Hello. What is that?
pipe
automake etc
ilter1
pipe: so can i get it "sudo apt-get install autotools" ?
*by
pipe
probably not
but maybe automake
ilter1
pipe: Ok i'm installing it.
SwissTorExit_
it started Sebastian_
Sebastian_
SwissTorExit_: ok great
can you see if any of the Tors died?
SwissTorExit_
for the moment not, 3 autority, 3 relay, one client i think and seem one more, i will look the log
Sebastian_
you should count the Tor processes
ilter1
:) This time it gives another: "./autogen.sh: 11: libtoolize: not found" . What is nedeed at this time?
Sebastian_
I didn't get anything in the log
SwissTorExit_
7
Sebastian_
ilter1: libtool
SwissTorExit_
all still runing Sebastian_
pipe
ilter1: maybe you should look at installing apt-file
ilter1: "apt-file search libtoolize" gives a list of packages that contains that
ilter1
pipe: Ok pipe thanks for this usable command.
SwissTorExit_
fisrt aurority have passed performing bandwich test, i look the others
pipe
ilter1: Also, "apt-get build-dep tor" might install a lot of libraries needed to build Tor, if you've never done it before on that machine
Sebastian_
pipe: yeah, but also lots of crap like texlive
let's not do that
pipe
ok
Sebastian_
SwissTorExit_: can you try with 15 relays?
SwissTorExit_
3 autority ok, client warn status 404 but it's normal i think and the 3 relay code 404 tpp but still working, yes i will try
ilter1
Sebastian_: I've just installed libtool and i ran ./autogen.sh. It's ok now.
Sebastian_: What is next? Hmm.. patches ..
Sebastian_
configure is next
SwissTorExit_
it start the 15 relay, i wait a while
ilter1
Sebastian_: Configure libevent?
Sebastian_
yeah
SwissTorExit_
look good so far
no one died
Sebastian_
ok
ilter1
Sebastian_: Should i run ./configure to configure libevent?
Sebastian_
yeah
SwissTorExit_
you can with --enable-gcc-warnings
if you want too
ilter1
SwissTorExit_: Is it for me?
SwissTorExit_
yes
./configure --enable-gcc-warnings like that :D
ilter1
SwissTorExit_: Thanks i did it before you advised.
SwissTorExit_
lol
Sebastian_: i running it on VM x86 64 kubuntu Lucid beta1
do you want i try something else ?
Sebastian_
SwissTorExit_: No that's ok, I think
thanks so much
ah wait
can you actually use that network?
SwissTorExit_
no problem, you are welcome my friend , don't hesite to ask if needed
Sebastian_
try to use the Tor client please?
ilter1
Sebastian_: I configured libevent.
Sebastian_
ilter1: now make
SwissTorExit_
oky
how can i test on a virtual Sebastian_ ?
Sebastian_
SwissTorExit_: well, your virtual machine has internet, yes?
SwissTorExit_
open another client with vidalia ?
yes
Sebastian_
then just set up a proxy and point firefox to it
ilter1
(Action) needs to learn more linux
Sebastian_
no Vidalia needed
ilter1
Sebastian_: Ok i made it.
Sebastian_
ilter1: great, now sudo make install
SwissTorExit_
ok , i will do
ilter1
Sebastian_: I've already made it.
Sebastian_
ilter1: awesome. Ok, have you seen the tarball url?
fetch it, and do the same thing, autogen, configure, make
ilter1
Sebastian_: Yes i did. Ok i'm doing ..
Sebastian_
then point my script at the Tor you built there
and try and set up a private network.
ilter1
Sebastian_: Could you say why we need libevent to setup a private network?
Sebastian_
ilter1: Tor always needs libevent
it's a required library
ilter1
Sebastian_: But even i've already had Tor it asked me to install libtool.
SwissTorExit_
i am really happy with libevent 2.xx, it seem run better as 1.4xx,
Sebastian_
libtool is only required to build Tor from git
you needed the latest version of libevent because the new code in Tor relies on it
ilter1
Sebastian_: Hmm.. I'm learning. Could you say what is autogen.sh doing?
Sebastian_
it prepares some files for building
ilter1
Sebastian_: During configuring tor patches it gives this error: "checking whether we need extra options to link libevent... configure: error: Found linkable libevent in (system), but it does not seem to run, even with -R. Maybe specify another using --with-libevent-dir}". What should i do?
SwissTorExit_
ilter1: do: ./configure --with-libevent-dir=/usr/local/lib/ --enable-gcc-warnings
ilter1
SwissTorExit_: Thank you i'm doing it ...
SwissTorExit_
you are welcome, sometimes it found and soemtimes not :P
ilter1
SwissTorExit_: it gives:" configure: error: Missing libraries; unable to proceed."
Sebastian_
grmpf
did make install give any errors?
SwissTorExit_
look where are the library on your distro instead "usr/local/lib
ilter1
Sebastian_: I'm trying it but making gives: "configure: error: Missing libraries; unable to proceed."
Oops sorry it gives: "make: *** No rule to make target `install'. Stop."
SwissTorExit_: Which library?
SwissTorExit_
libevent
Sebastian_
ilter1: I meant when you installed libevent
SwissTorExit_
that what it was asking about
ilter1
Sebastian_: Here is output of make install libevent: http://pastebin.com/gCXFCXpN
Sebastian_
hah
ilter1
It says that Libraries have been installed in /usr/local/lib .
Sebastian_
it gives lots of warnings
together with --enable-gcc-warnings I'm surprised they even work at all
hrm
ilter1
Sebastian_: Should i make install libevent again with --enable-gcc-warnings?
Sebastian_
no, that's a configure option
Ah
Your system probably has libevent installed already
I guess Tor might get confused
hrm
ilter1
:) I tried to say it before.
Sebastian_
ilter1: Sorry, I'll have to leave for a bit. Let's not worry about it for now... Just reinstall libevent via your package manager. I don't think you'd get a different result than SwissTorExit_
and we'll see if we can fix the libevent problems at some later point.
SwissTorExit_
i finish to install the proxy and i keep you in touch
ilter1
Sebastian_: No problem. Should i give command "sudo apt-get install libevent" now?
Sebastian_
yeah
ilter1
Sebastian_: Ok i'm doing it.
Sebastian_: When i give this command it says: "E: Couldn't find package libevent"
Should it be libevent-1.4-2 ?
Sebastian_
try libevent1
ilter1
Nope it gives same error. It can't find package libevent1 ..
Sebastian_
hah
what distribution is that
ilter1
kubuntu 9.10
Sebastian_
SwissTorExit_: any idea what libevent is called in that distribution?
SwissTorExit_
yeah , sure, it's named libevent
ilter1
Hmm .. so should i change my install list?
SwissTorExit_
i run kubuntu 9.10 and my command must work for you ilter1, same sistro so same directory
something wrong in your config somewhere or miss tools
ilter1
There are only these: http://pastebin.com/9HQHWskn
Sebastian_
try libevent-dev
ilter1
Ok
SwissTorExit_
yeah you must have the -dev if you use the kubuntu source
ilter1
Setting up libevent-dev (1.4.11-stable-1). Is it ok?
Sebastian_
yeah
ilter1
Sebastian_: Ok i installed it. Now what should i do?
Sebastian_
ilter1: well, let's hope that gives you a usable libevent back. I don't have anything else to do
sorry for wasting your time
ilter1
Sebastian_: No why you say sorry. It's so good also for me to learn all of them ..
I'll be happy if i can help you during you develop tor.
Sebastian_: So it seems if i can't install libevent 2.0 i couldn't try new patches, ha?
Sebastian_
yeah
SwissTorExit_: oh sh*t
« prev 1 2 next »